Customization instructions

edit

To add custom entries, adapt this code, and place it in your common.js:

// Add custom Character Inserter entries
window.charinsertCustom = { 
	"Insert": ' Mention: {\{u|+}}  {\{ping|+}}', 
	"Wiki markup": ' Mention: {\{u|+}}  {\{ping|+}}' 
};

that will append the {{u}} and {{ping}} code to the indicated menus.

  • Note1: The "+" in those items, is where your cursor will appear after the text is inserted, or if you already have text highlighted when you click them then that text will be properly surrounded by the templates.
  • Note2: You can also remove or change the word "Mention:" - anything that is followed by a colon seems to get turned into a heading - Use_underscores_for_multi_word_headings: like so.
  • Note3: use a dot ( . ) for any spacing needed in such things as inline css class or id assignments. For example. -- the space needed between the words span and class in <span.class="plainlinks">+</span>
  • Note4: to include a single literal \ use four backslashes ( \\\\ ) (will appear as double-\ on menu display.) E.g. <math>\\\\scriptstyle{+}</math>.
edit

the preferences/gadgets descriptor for edittools is as follows:

(D) CharInsert: add a toolbar under the edit window for quickly inserting wiki markup and special characters (troubles?)

I propose a link be added to CharInsert at the beginning, best candidate I think being the relevant help page at Help:CharInsert. And perhaps change "troubles?" to "report issues" or something similarly more descriptive? But that's less important. And "troubles?" is certainly cuter haha, "village pump for your troubles?"

--Tomatoswoop (talk) 11:11, 25 June 2025 (UTC)Reply

 Done * Pppery * it has begun... 18:15, 25 June 2025 (UTC)Reply
Just for the record, the change is Special:Diff/1297359759 on the page MediaWiki:Gadget-charinsert. The result in the UI can be seen at Preferences Gadgets Editing Tick (D) CharInsert: add a toolbar under the edit window for quickly inserting wiki markup and special characters (troubles?). —⁠andrybak (talk) 15:32, 8 April 2026 (UTC)Reply

Change Latin middle dot

edit

We currently have the Sinological dot at the end of the Latin section, for use in Americanist orthographies for long vowels. However, that usage is deprecated by Unicode: what should be used is the simple middle dot ·. The definition has been corrected at Wiktionary and the letter + dot sequences moved. Could we change it here too please? — kwami (talk) 23:20, 11 January 2026 (UTC)Reply

Tooltip with names of characters

edit

For MediaWiki:Gadget-charinsert-core.js, would it be OK to change the code to show a tooltip with the name of each character? Right now it just says "Click on the character or tag to insert it into the edit window". This change would make it a lot easier, for example, to tell the difference between an endash, a minus sign, and an emdash, which look very similar in certain fonts. -- Beland (talk) 23:40, 20 March 2026 (UTC)Reply